#(32/64bit)

Name:               bino
Version:            1.6.7
Release:            %mkrel 1

Summary: Video Player with 3D and Multi-Display Video Support
Source0: http://download.savannah.gnu.org/releases/bino/%{name}-%{version}.tar.xz
URL:                http://bino3d.org
Group:              Video
License:            GPLv3+
#--------------------------------
BuildRequires:  %{_lib}qt5core-devel
BuildRequires:  %{_lib}qt5gui-devel
BuildRequires:  %{_lib}qt5opengl-devel 
BuildRequires:  %{_lib}qt5widgets-devel
BuildRequires: %{_lib}ass-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}glew-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}openal-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}x11-devel
#--------------------------------
BuildRequires: libtool 
BuildRequires: gettext 
BuildRequires: texinfo 
BuildRequires: pkgconfig

%description
Bino is a video player with the following main features: 
Support for stereoscopic 3D video, with a wide variety of input and output
formats. Support for multi-display video, e.g. for powerwalls, Virtual Reality
installations and other multi-projector setups.

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build

export LDFLAGS="%ldflags -zmuldefs"
export CXXFLAGS="%{optflags} -std=c++11"

%configure2_5x --disable-silent-rules

%make 

%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf "%{buildroot}%{_datadir}/doc"


%find_lang %{name}

%post
%{update_desktop_database}

%preun
%{clean_desktop_database}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README
%doc doc/*.html doc/*.jpg doc/*.png
%{_bindir}/bino
%doc %{_mandir}/man1/bino.1.*
%doc %{_infodir}/bino.info.*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/bino.*


%changelog
* Sat Jun 08 2019 tex 1.6.7-1pclos2019
- 1.6.7

* Mon Aug 14 2017 bb2 <bb2> - 1.6.5-2pclos2017
- rebuild against updates

* Wed Mar 08 2017 bb2 <bb2> - 1.6.5-1pclos2017
- new version for new ffmpeg

* Tue Nov 18 2014 bb <bb> 1.6.0-2pclos2014
- rebuild ffmpeg 2.4.3

* Mon Oct 06 2014 bb <bb> 1.6.0-1pclos2014
- update

* Wed Jan 29 2014 bb <bb> 1.4.4-2pclos2014
- adjust BR

* Wed Jan 29 2014 Ken <lxgator at gmail.com> 1.4.4-1pclos2014
- initial build
